summaryrefslogtreecommitdiffstats
path: root/libraries/jbigkit/jbigkit.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/jbigkit/jbigkit.SlackBuild')
-rw-r--r--libraries/jbigkit/jbigkit.SlackBuild33
1 files changed, 24 insertions, 9 deletions
diff --git a/libraries/jbigkit/jbigkit.SlackBuild b/libraries/jbigkit/jbigkit.SlackBuild
index c1c8cccc6c..dd7811bd68 100644
--- a/libraries/jbigkit/jbigkit.SlackBuild
+++ b/libraries/jbigkit/jbigkit.SlackBuild
@@ -1,12 +1,22 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for jbigkit
# Written by Iskar Enev <iskar.enev[@]gmail.com>
+# 20220418 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - strip binaries and libraries.
+# - rename INSTALL in doc dir (it's not useless; shut sbopkglint up).
+# Note to maintainer: you should consider getting rid of the static
+# libraries. Our policy is not to ship static libs unless they are
+# required by some other build.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=jbigkit
VERSION=${VERSION:-2.1}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -16,7 +26,11 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -46,9 +60,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Build the shared library first
cd libjbig
@@ -62,9 +76,6 @@ cd -
# ... and all the rest
make CCFLAGS="$SLKCFLAGS"
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
# There is no "install" target in the Makefile...
# The man 5 files in pbmtools are inclueded netpbm-10.35.2
@@ -76,12 +87,16 @@ gzip -9 $PKG/usr/man/man1/*.1
cp -a libjbig/jbig.h libjbig/jbig85.h libjbig/jbig_ar.h $PKG/usr/include
cp -a libjbig/libjbig.* libjbig/libjbig85.a $PKG/usr/lib$LIBDIRSUFFIX
-cp -a ANNOUNCE CHANGES INSTALL COPYING TODO libjbig/*.txt examples \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp -a ANNOUNCE CHANGES COPYING TODO libjbig/*.txt examples \
$PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL $PKG/usr/doc/$PRGNAM-$VERSION/README
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE